GET DLC Service Loyalty Promotions
GET dlc service loyalty promotions
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
- Type: stringD
L C - Authorization DLC Authorization token key (Punchh)
Responses
- application/json
Request Example for get/dlc-service/loyalty-promotions
curl https://api-public-demo.menu.app/api/dlc-service/loyalty-promotions \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'DLC-Authorization: '
{
"status": "OK",
"code": 200,
"data": {
"discounts": [
{
"id": 10005906790,
"type_id": 3,
"reference_type": "Promotion",
"brand_id": 0,
"position": 0,
"name": "$5 off Test Reward",
"description": "99 pts= $5 off",
"tracking_code": "\"\"",
"max_redemption_count": 0,
"date_from": "string",
"date_to": "string",
"reduction_type": 0,
"reduction_level_type": 0,
"reduction_price": 0,
"reduction_amount": 0,
"reduction_percentage": 0,
"is_registered_only": true,
"show_only_in_ordering_flow": true,
"image": {
"fullsize": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg",
"thumbnail_medium": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg",
"thumbnail_small": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg"
},
"channels": {
"type_id": 3,
"reference_type": "DiscountMobileChannel"
},
"discount_tags": [
{}
],
"discount_conditions": {
"id": 0,
"type_id": 1,
"reference_type": "DiscountConditionSpecificStore",
"discount_id": 10005906790,
"properties": {
"venue_ids": [
{}
]
}
},
"translations": [
{}
],
"created_at": "\"\"",
"updated_at": "\"\"",
"venue_codes": [
{}
]
}
]
}
}